Ir para o conteúdo
ou

Software livre Brasil

Tela cheia
 Feed RSS

Blog

27 de Maio de 2009, 0:00 , por Antonio Terceiro - | Ninguém está seguindo este artigo ainda.
Licenciado sob GNU FDL

Código do UNIX

20 de Julho de 2016, 19:10, por Wellton Costa de Oliveira - 0sem comentários ainda

Código fonte do UNIX de 1972 https://github.com/c3x04/Unix-1st-Edition-jun72 =)



Instalando Network Simulator 2 via apt-get no debian jessie e gNewSense 4

20 de Julho de 2016, 3:41, por Wellton Costa de Oliveira - 0sem comentários ainda

Neste mesmo blog foi falado como instalar o Network Simulator compilando o código-fonte. Porém, é um processo para quem tem mais detalhes técnicos. Para quem quer as "facilidades" dos repositórios do debian jessie ou no gNewSense 4, é só entrar no terminal e fazer:

apt-get install ns2 nam xgraph

no gNewSense 4 vai funcionar 100%. Mas no Debian jessie haverá problemas. Vamos a eles: iinicialmente vai dar erro no xgraph, ele não vai achar se você estiver no jessie, stretch ou jessie-backports. ele está apenas no sid (https://packages.debian.org/search?suite=sid&keywords=xgraph), se você quiser o xgraph, sugiro adicionar o sid no seu repositório sources.list. Caso não queira o xgraph, é só fazer apt-get install ns2 nam

após instalado, você entra no terminal e digita: ns ... ele vai retornar o porcentagem %, significa que está certo. dê um ctrl+x e teste o nam... você receberá a seguinte mensagem:

nam:
[code omitted because of length]
: version conflict for package "Tcl": have 8.5.18, need 8.6
    while executing
"package require Tcl 8.6"

 
esse erro ainda é um pequeno bug no pacote com as versões do TCL. Para resolver, você deve
1) entrar no seu sources list e colocar o repositório wheezy e dê update

2) faça o seguinte:
aptitude install libtclcl1/wheezy
aptitude hold libtclcl1

 



RE-POST - Replicant, o android 100% livre

16 de Julho de 2016, 20:05, por Wellton Costa de Oliveira - 0sem comentários ainda

Re-post:

http://softwarelivre.org/wellton/blog/replicant



Linux-Libre: o que é e instalação

9 de Junho de 2016, 19:34, por Wellton Costa de Oliveira - 0sem comentários ainda

Todos sabem que o Kernel Linux (do tux), que faz funcionar o sistema GNU não é 100% livre, pois há blobs (binários ou código fechado disfaçado) dentro dele. Como alternativa, o projeto GNU (via FSFLA, BLAG e gNewSense) mantem um script que consegue identificar e extrair todo código fechado de dentro do kernel linux. Este projeto se chama Linux-Libre (http://linux-libre.fsfla.org/) e tem seu mascote o Freedo (pinguim azul).

Para você instalá-lo em seu gNewSense 4 (ou Debian Wheezy, Debian jessie ou Debian Stratch), siga os seguintes passos:

1) echo "deb http://linux-libre.fsfla.org/pub/linux-libre/freesh/ freesh main" >> /etc/apt/sources.list

2) apt-get update

3) apt-get install freesh-keyring

4) apt-get update

5) apt-get install linux-libre64-lts linux-libre64-lts-headers

ou

6) apt-get install linux-libre32-lst linux-libre32-lts-headers

espero que ajude você este micro-tutorial =)

saudações.



Why is the latest AMD hardware unsupported in libreboot?

29 de Maio de 2016, 12:44, por Wellton Costa de Oliveira - 0sem comentários ainda

"Why is the latest AMD hardware unsupported in libreboot?

It is extremely unlikely that any post-2013 AMD hardware will ever be supported in libreboot, due to severe security and freedom issues; so severe, that the libreboot project recommends avoiding all modern AMD hardware. If you have an AMD based system affected by the problems described below, then you should get rid of it as soon as possible"

Mais detalhes em: https://libreboot.org/faq/#amd